{ config, lib, libS, ... }:

let
  cfg = config.c3d2.addBinaryCache;
in
{
  options = {
    c3d2.addBinaryCache = libS.mkOpinionatedOption "add hydra.hq.c3d2.de as a trusted substituter";
  };

  config = lib.mkIf cfg {
    nix.settings = {
      trusted-public-keys = [ "nix-serve.hq.c3d2.de:KZRGGnwOYzys6pxgM8jlur36RmkJQ/y8y62e52fj1ps=" ];
      trusted-substituters = [ "https://nix-serve.hq.c3d2.de" ];
    };
  };
}
